Results 1 to 10 of 10

Thread: orinoco firmware 7.82 - full support?

  1. #1
    Just burned his ISO
    Join Date
    Jun 2007
    Posts
    4

    Default orinoco firmware 7.82 - full support?

    Hello everyone,

    I have my Orinoco Gold pcmcia card with HERMES I chipset and firmware 8.72.
    I installed BT2 on my HDD, and the drivers loaded automatically are those orinoco_cs.

    However, for the card, I have only this options

    bt linux # iwpriv eth0
    eth0 Available private ioctls :
    force_reset (8BE0) : set 0 & get 0
    card_reset (8BE1) : set 0 & get 0
    set_port3 (8BE2) : set 1 int & get 0
    get_port3 (8BE3) : set 0 & get 1 int
    set_preamble (8BE4) : set 1 int & get 0
    get_preamble (8BE5) : set 0 & get 1 int
    set_ibssport (8BE6) : set 1 int & get 0
    get_ibssport (8BE7) : set 0 & get 1 int
    get_rid (8BE9) : set 0 & get 1024 byte

    so, "monitor mode" is not there. Is this a problem of the firmware? should I rollback?

    thanks

    Amarant

  2. #2
    Senior Member PrairieFire's Avatar
    Join Date
    Apr 2007
    Posts
    705

    Default

    If you tried this:
    Code:
    iwconfig ethX mode monitor
    then
    Code:
    dmesg | tail -10
    You would see
    Code:
    ethX: Monitor mode support is buggy in this firmware, not enabling
    Find the windows firmware installer for 6.16v.

  3. #3
    Just burned his ISO
    Join Date
    Feb 2007
    Posts
    10

    Default

    Quote Originally Posted by PrairieFire View Post
    If you tried this:
    Code:
    iwconfig ethX mode monitor
    then
    Code:
    dmesg | tail -10
    You would see
    Code:
    ethX: Monitor mode support is buggy in this firmware, not enabling
    Find the windows firmware installer for 6.16v.
    Care to post a link to a 6.16v installer that can actually downgrade the
    firmware from the buggy version?

    I've tried downgrading the firmware
    and couldn't get a properly working card. I do have an old US Robotics
    card that works, so the Kismet end of things is good.

  4. #4
    Senior Member PrairieFire's Avatar
    Join Date
    Apr 2007
    Posts
    705

    Default

    Navigate to: Firmware/R6.4winter2001/

    This page is also helpful.

    *edit*
    If the installer gives you an error try matching your current reported firmware with the same installer and re flash it. Then open the older firmware and let it downgrade. This method worked for my Lucent/Agree 8.72-6.16.
    Μολὼν λαβέ - Great spirits encounter heavy opposition from mediocre minds.

  5. #5
    Just burned his ISO
    Join Date
    Feb 2007
    Posts
    10

    Default

    I downloaded and ran the patched updater for the older firmware
    versions and ran it.

    The good news is: the result runs under Windows Me. Boingo works.
    Netstumbler works. Kismet cheerfully scans for neetworks.

    The bad news: Kismet doesn't detect any networks. Linux can't
    connect. Ubuntu 5.10 with the patch driver doesn't connect. The
    BT wireless assistant can't detect an AP 2 feet away. It would
    appear downgrading the firmware made my Orinoco Classic Gold PC
    card into a Windows only device. Windows just works and all that.

    Given that the downgraded Orinoco card works with Windows and
    not Linux it would seem that the maintainers of the Linux Orinoco driver
    are not in a position to say what is and is not buggy.

  6. #6
    Junior Member
    Join Date
    Jun 2006
    Posts
    75

    Default

    Quote Originally Posted by wa7kgx View Post
    I downloaded and ran the patched updater for the older firmware
    versions and ran it.

    The good news is: the result runs under Windows Me. Boingo works.
    Netstumbler works. Kismet cheerfully scans for neetworks.

    The bad news: Kismet doesn't detect any networks. Linux can't
    connect. Ubuntu 5.10 with the patch driver doesn't connect. The
    BT wireless assistant can't detect an AP 2 feet away. It would
    appear downgrading the firmware made my Orinoco Classic Gold PC
    card into a Windows only device. Windows just works and all that.

    Given that the downgraded Orinoco card works with Windows and
    not Linux it would seem that the maintainers of the Linux Orinoco driver
    are not in a position to say what is and is not buggy.
    I had it working on BT1 and for the life of me couldn't get it going on BT2.

  7. #7
    Just burned his ISO
    Join Date
    Feb 2007
    Posts
    10

    Default

    Quote Originally Posted by andyem View Post
    I had it working on BT1 and for the life of me couldn't get it going on BT2.
    Doesn' work on BT1 either. Just Windows.

    Just now I flashed the Orinoco to 8.10, no error messages.
    Everything works now - Windows or course, Ubuntu 5.10 with
    the patched Orinoco driver and Kismet. But BT2 Kismet can't
    get it into monitor mode.

    But at least Kismet works with Ubuntu.

  8. #8
    Just burned his ISO
    Join Date
    Jun 2007
    Posts
    9

    Default

    How did you flash the card ? I have the same one as you and i cant even get the flashing to work. On that page that says you should hex edit the patcher (for other branded orinoco cards) but my card is already orinoco with everything installed, still i get the error finding wireless device.

    I tried installing win2k hoping that would work. It wouldnt patch from winxp =/

  9. #9
    Just burned his ISO
    Join Date
    Jun 2007
    Posts
    4

    Default

    in fact, I think we need the hex edited firmware file.

    I found somewhere an hex edited file for USB orinoco cards, but that's not my case... anyone knows where to find it (or at least what to edit on the normal file?)

  10. #10
    Just burned his ISO
    Join Date
    Feb 2007
    Posts
    10

    Default

    Quote Originally Posted by denied View Post
    How did you flash the card ? I have the same one as you and i cant even get the flashing to work. On that page that says you should hex edit the patcher (for other branded orinoco cards) but my card is already orinoco with everything installed, still i get the error finding wireless device.

    I tried installing win2k hoping that would work. It wouldnt patch from winxp =/
    I used a few of the hacked WSU files running under Windows Me.
    I've not tried running the flashers under anything but Windows Me.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •